module MorseCode::Constants  

  ALPHABET = {
    ".-"   => "A",
    "-..." => "B",
    "-.-." => "C",
    "-.."  => "D",
    "."    => "E",
    "..-." => "F",
    "--."  => "G",
    "...." => "H",
    ".."   => "I",
    ".---" => "J",
    "-.-"  => "K",
    ".-.." => "L", 
    "--"   => "M",
    "-."   => "N",
    "---"  => "O",
    ".--." => "P", 
    "--.-" => "Q",
    ".-."  => "R",
    "..."  => "S",
    "-"    => "T",
    "..-"  => "U",
    "...-" => "V",
    ".--"  => "W",
    "-..-" => "X",
    "-.--" => "Y",
    "--.." => "Z"
  }

  NUMBERS = {
    "-----" => "0", 
    ".----" => "1", 
    "..---" => "2", 
    "...--" => "3", 
    "....-" => "4", 
    "....." => "5", 
    "-...." => "6", 
    "--..." => "7", 
    "---.." => "8", 
    "----." => "9"
  }

  FULL_CODE = ALPHABET.merge(NUMBERS)

  LATIN_ALPHABET = {
    "A" => ".-", 
    "B" => "-...", 
    "C" => "-.-.", 
    "D" => "-..",
    "E" => ".",
    "F" => "..-.", 
    "G" => "--.", 
    "H" => "....", 
    "I" => "..", 
    "J" => ".---", 
    "K" => "-.-", 
    "L" => ".-..", 
    "M" => "--", 
    "N" => "-.", 
    "O" => "---", 
    "P" => ".--.", 
    "Q" => "--.-", 
    "R" => ".-.", 
    "S" => "...", 
    "T" => "-", 
    "U" => "..-", 
    "V" => "...-", 
    "W" => ".--", 
    "X" => "-..-", 
    "Y" => "-.--", 
    "Z" => "--.."
  }

  ARABIC_NUMBERS = {
    "0" => "-----",
    "1" => ".----",
    "2" => "..---", 
    "3" => "...--", 
    "4" => "....-", 
    "5" => ".....", 
    "6" => "-....", 
    "7" => "--...", 
    "8" => "---..", 
    "9" => "----."
  }

  FULL_ALPHA_NUMERIC_CODE = LATIN_ALPHABET.merge(ARABIC_NUMBERS)
end
